Релизы и обновления NetCat.

Тема в разделе "NetCat", создана пользователем duomax, 6 фев 2009.

  1. kgtu5

    kgtu5 Создатель

    Регистр.:
    1 июн 2013
    Сообщения:
    17
    Симпатии:
    5
    такого файла нет, только последовательно повышая версию несколькими обновлениями
    следующая требуемая версия указывается на вкладке обновлений
     
  2. erynrandir

    erynrandir Писатель

    Регистр.:
    31 дек 2012
    Сообщения:
    5
    Симпатии:
    0
    а не сохранились у кого?

    nc322extra-nc350extra.tgz
    nc350extra-nc351extra.tgz

    тут нашел "301 до 351.rar", в нем по 3.22 там идет для extra, а оставшиеся для standart, не ставятся

    клиент попросил сайт хоть как-то обновить. был 3.0)
     
  3. kgtu5

    kgtu5 Создатель

    Регистр.:
    1 июн 2013
    Сообщения:
    17
    Симпатии:
    5
    https://memoryhigh.ru/skachat-obnovleniya-netcat/
    те которые эксперементальные работают норм, но на всякий случай сделайте бекап.

    P.S. могу помочь с обновлением.
     
  4. erynrandir

    erynrandir Писатель

    Регистр.:
    31 дек 2012
    Сообщения:
    5
    Симпатии:
    0
    спасибо большое за ссылку!

    последний в списке 322, но при установке nc322extra-nc350extra_exp

    Патч не предназначен для используемой версии системы NetCat, текущая версия 3.2, патч для версии .
    Инсталляция патча невозможна.

    То есть версию из патча не видит - сталкивался ли кто-нибудь?

    Хотел бы сам разобраться

    А с 3.5 на 4 файла нет - там нет вариантов?
     
  5. max-sparker

    max-sparker

    Регистр.:
    9 мар 2008
    Сообщения:
    170
    Симпатии:
    41
    Может Вам необходимо обновиться для начала с 3.2.0 ?
    nc320extra-nc321extra
    nc321extra-nc322extra
     
  6. erynrandir

    erynrandir Писатель

    Регистр.:
    31 дек 2012
    Сообщения:
    5
    Симпатии:
    0
    Они установлены

    https://www.screencast.com/t/OFIwsTYs

    Я пробовал запросом вручную менять версию

    update Settings set VersionNumber='3.22';

    Но тогда получаю такое сообщение - все равно проблема в патче

    Патч не предназначен для используемой версии системы NetCat, текущая версия 3.22, патч для версии .
    Инсталляция патча невозможна.

    UPD: решено! я просто распаковал содержимое в tmp, предыдущие работали прям файлами, забыл про такой способ

    UPD2: после установки

    PHP Fatal error: Uncaught exception 'Exception' with message 'Unable load system class "nc_Event"!' in /.../netcat/system/nc_core.class.php:83

    вот в этом коде проблема:

    if ( is_callable( array( $class_name, '__construct' ) ) ) {
    die('xxx'); // неа
    $this->$object = call_user_func_array( array( new ReflectionClass($class_name), 'newInstance' ), $args );
    }

    if (!$this->$object) throw new Exception ("Unable load system class \"".$class_name."\"!");

    is_callable не срабатывает
     
    Последнее редактирование: 11 сен 2018
  7. kgtu5

    kgtu5 Создатель

    Регистр.:
    1 июн 2013
    Сообщения:
    17
    Симпатии:
    5
    заменил экспериментальные, пробуйте еще раз
     
  8. erynrandir

    erynrandir Писатель

    Регистр.:
    31 дек 2012
    Сообщения:
    5
    Симпатии:
    0
    Благодарю!

    Сейчас у меня ошибка 500

    Попробую поднять копию с 322 и заново поставить
     
  9. kgtu5

    kgtu5 Создатель

    Регистр.:
    1 июн 2013
    Сообщения:
    17
    Симпатии:
    5
    500 - при этой ошибке сразу смотрите error.log
     
  10. kgtu5

    kgtu5 Создатель

    Регистр.:
    1 июн 2013
    Сообщения:
    17
    Симпатии:
    5
    обновлять можно только как требует движок на вкладке обновлений